import { buildUseVueQuery } from "../../../vue-query";
import { createGetBalance, createGetAllBalances, createGetSpendableBalances, createGetSpendableBalanceByDenom, createGetTotalSupply, createGetSupplyOf, createGetParams, createGetDenomMetadata, createGetDenomMetadataByQueryString, createGetDenomsMetadata, createGetDenomOwners, createGetDenomOwnersByQuery, createGetSendEnabled } from "./query.rpc.func";
export const useGetBalance = buildUseVueQuery({
    builderQueryFn: createGetBalance,
    queryKeyPrefix: "BalanceQuery"
});
export const useGetAllBalances = buildUseVueQuery({
    builderQueryFn: createGetAllBalances,
    queryKeyPrefix: "AllBalancesQuery"
});
export const useGetSpendableBalances = buildUseVueQuery({
    builderQueryFn: createGetSpendableBalances,
    queryKeyPrefix: "SpendableBalancesQuery"
});
export const useGetSpendableBalanceByDenom = buildUseVueQuery({
    builderQueryFn: createGetSpendableBalanceByDenom,
    queryKeyPrefix: "SpendableBalanceByDenomQuery"
});
export const useGetTotalSupply = buildUseVueQuery({
    builderQueryFn: createGetTotalSupply,
    queryKeyPrefix: "TotalSupplyQuery"
});
export const useGetSupplyOf = buildUseVueQuery({
    builderQueryFn: createGetSupplyOf,
    queryKeyPrefix: "SupplyOfQuery"
});
export const useGetParams = buildUseVueQuery({
    builderQueryFn: createGetParams,
    queryKeyPrefix: "ParamsQuery"
});
export const useGetDenomMetadata = buildUseVueQuery({
    builderQueryFn: createGetDenomMetadata,
    queryKeyPrefix: "DenomMetadataQuery"
});
export const useGetDenomMetadataByQueryString = buildUseVueQuery({
    builderQueryFn: createGetDenomMetadataByQueryString,
    queryKeyPrefix: "DenomMetadataByQueryStringQuery"
});
export const useGetDenomsMetadata = buildUseVueQuery({
    builderQueryFn: createGetDenomsMetadata,
    queryKeyPrefix: "DenomsMetadataQuery"
});
export const useGetDenomOwners = buildUseVueQuery({
    builderQueryFn: createGetDenomOwners,
    queryKeyPrefix: "DenomOwnersQuery"
});
export const useGetDenomOwnersByQuery = buildUseVueQuery({
    builderQueryFn: createGetDenomOwnersByQuery,
    queryKeyPrefix: "DenomOwnersByQueryQuery"
});
export const useGetSendEnabled = buildUseVueQuery({
    builderQueryFn: createGetSendEnabled,
    queryKeyPrefix: "SendEnabledQuery"
});
